[arch-commits] Commit in rclone/repos (4 files)

Felix Yan fyan at archlinux.org
Wed Dec 16 22:33:05 UTC 2015


    Date: Wednesday, December 16, 2015 @ 23:33:05
  Author: fyan
Revision: 153471

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  rclone/repos/community-testing-i686/
  rclone/repos/community-testing-i686/PKGBUILD
    (from rev 153470, rclone/trunk/PKGBUILD)
  rclone/repos/community-testing-x86_64/
  rclone/repos/community-testing-x86_64/PKGBUILD
    (from rev 153470, rclone/trunk/PKGBUILD)

-----------------------------------+
 community-testing-i686/PKGBUILD   |   49 ++++++++++++++++++++++++++++++++++++
 community-testing-x86_64/PKGBUILD |   49 ++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

Copied: rclone/repos/community-testing-i686/PKGBUILD (from rev 153470, rclone/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2015-12-16 22:33:05 UTC (rev 153471)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=rclone
+pkgver=1.25
+pkgrel=2
+pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
+arch=('i686' 'x86_64')
+url="http://rclone.org/"
+license=('MIT')
+depends=('gcc-libs>=5.3.0-3')
+makedepends=('git' 'python2' 'pandoc' 'gcc-go')
+source=("git+https://github.com/ncw/rclone.git#tag=v$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cd rclone
+
+  sed -i "1s/python$/&2/" make_manual.py
+
+  mkdir -p .gopath/src/github.com/ncw
+  ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
+  export GOPATH="$PWD/.gopath"
+
+  go get github.com/ncw/rclone
+}
+
+build() {
+  cd rclone
+
+  go build -gccgoflags "$CFLAGS $LDFLAGS"
+  make doc
+}
+
+check() {
+  cd rclone
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd rclone
+  make DESTDIR="$pkgdir" install
+
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+  install -Dm644 rclone.1 "$pkgdir/usr/share/man/man1/rclone.1"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  install -t "$pkgdir/usr/share/doc/$pkgname" -m644 MANUAL.html MANUAL.txt
+}

Copied: rclone/repos/community-testing-x86_64/PKGBUILD (from rev 153470, rclone/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2015-12-16 22:33:05 UTC (rev 153471)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=rclone
+pkgver=1.25
+pkgrel=2
+pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
+arch=('i686' 'x86_64')
+url="http://rclone.org/"
+license=('MIT')
+depends=('gcc-libs>=5.3.0-3')
+makedepends=('git' 'python2' 'pandoc' 'gcc-go')
+source=("git+https://github.com/ncw/rclone.git#tag=v$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cd rclone
+
+  sed -i "1s/python$/&2/" make_manual.py
+
+  mkdir -p .gopath/src/github.com/ncw
+  ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
+  export GOPATH="$PWD/.gopath"
+
+  go get github.com/ncw/rclone
+}
+
+build() {
+  cd rclone
+
+  go build -gccgoflags "$CFLAGS $LDFLAGS"
+  make doc
+}
+
+check() {
+  cd rclone
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd rclone
+  make DESTDIR="$pkgdir" install
+
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+  install -Dm644 rclone.1 "$pkgdir/usr/share/man/man1/rclone.1"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  install -t "$pkgdir/usr/share/doc/$pkgname" -m644 MANUAL.html MANUAL.txt
+}



More information about the arch-commits mailing list